#
# spec file for package dante (Version 1.1.14)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm zlib

Name:         dante
Summary:      A free Socks v4/v5 client implementation
%define prefix /usr
Version:      1.1.14
Release:      0
License:      BSD
URL:          http://www.inet.no/dante/
Source:       ftp://ftp.inet.no/pub/socks/dante-%{version}.tar.bz2
Source1:      sockd.init
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Group:        Productivity/Networking/Security
# SuSE series: sec

%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

Authors:
--------
    For Inferno Nettverk A/S, Norway:
    Michael Shuldman <michaels@inet.no>: Design and implementation.
    Karl-Andre' Skevik <karls@inet.no>: Autoconf and porting.

%package -n dante-server
Provides:     dantesrv
Obsoletes:    dantesrv
Summary:      A free Socks v4/v5 server implementation
Group:        Productivity/Networking/Other
Requires:     dante
PreReq:       %insserv_prereq %fillup_prereq

%description -n dante-server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

Authors:
--------
    For Inferno Nettverk A/S, Norway:
    Michael Shuldman <michaels@inet.no>: Design and implementation.
    Karl-Andre' Skevik <karls@inet.no>: Autoconf and porting.

%package -n dante-devel
Provides:     dantedev
Obsoletes:    dantedev
Summary:      development libraries for socks
Group:        Development/Libraries/C and C++
Requires:     dante

%description -n dante-devel
Additional libraries required to compile programs that use socks.

Authors:
--------
    For Inferno Nettverk A/S, Norway:
    Michael Shuldman <michaels@inet.no>: Design and implementation.
    Karl-Andre' Skevik <karls@inet.no>: Autoconf and porting.

%prep
%setup
%{?suse_update_config:%{suse_update_config -l -f}}

%build
DANTELIBC=`find /%{_lib}/ -iname "libc.so.*"`
autoreconf --force --install
CFLAGS="${RPM_OPT_FLAGS}" 		\
./configure 	--prefix=%{prefix} 	\
		--mandir=%{_mandir}	\
	 	--sysconfdir=/etc       \
		--enable-shared		\
		--libdir=%{_libdir}	\
		--with-libc=$DANTELIBC
make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make install DESTDIR=${RPM_BUILD_ROOT}
#set library as executable - prevent ldd from complaining
chmod +x ${RPM_BUILD_ROOT}%{_libdir}/*.so.*.*
install -d 	${RPM_BUILD_ROOT}/etc/init.d \
	   	${RPM_BUILD_ROOT}%{prefix}/bin \
	   	${RPM_BUILD_ROOT}%{prefix}/usr/sbin
install -m 644 example/socks.conf ${RPM_BUILD_ROOT}/etc
install -m 644 example/sockd.conf ${RPM_BUILD_ROOT}/etc
install -m 755 %{S:1}	 	${RPM_BUILD_ROOT}/etc/init.d/sockd
ln -sf          ../../etc/init.d/sockd	${RPM_BUILD_ROOT}/usr/sbin/rcsockd
#
# fix bug #23141
#
mv ${RPM_BUILD_ROOT}/usr/bin/socksify ${RPM_BUILD_ROOT}/usr/bin/socksify.old
#
%ifarch alpha
sed -e 's|libdl.so|/lib/libdl.so.2.1|' < ${RPM_BUILD_ROOT}/usr/bin/socksify.old > ${RPM_BUILD_ROOT}/usr/bin/socksify
%else
sed -e 's|libdl.so|/lib/libdl.so.2|' < ${RPM_BUILD_ROOT}/usr/bin/socksify.old > ${RPM_BUILD_ROOT}/usr/bin/socksify
%endif
#
rm ${RPM_BUILD_ROOT}/usr/bin/socksify.old

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%post -n dante-server
%{fillup_and_insserv sockd}

%postun -n dante-server
%{insserv_cleanup}

%files
%defattr(-,root,root)
#files beginning with two capital letters are docs: BUGS, README.foo etc.
%doc [A-Z][A-Z]*
%{_libdir}/libsocks.so.0.1.0
%{_libdir}/libsocks.so.0
%{_libdir}/libsocks.so
%{_libdir}/libdsocks.so.0.1.0
%{_libdir}/libdsocks.so.0
%{_libdir}/libdsocks.so
%{prefix}/bin/socksify
%doc %{_mandir}/man5/socks.conf.5.gz
%config(noreplace) /etc/socks.conf

%files -n dante-server
%doc [A-Z][A-Z]*
%defattr(-,root,root)
%doc %{_mandir}/man8/sockd.8.gz
%doc %{_mandir}/man5/sockd.conf.5.gz
%{prefix}/sbin/sockd
%config(noreplace) /etc/sockd.conf
/etc/init.d/sockd
/usr/sbin/rcsockd

%files -n dante-devel
%doc [A-Z][A-Z]*
%{_includedir}/*.h
%{_libdir}/libsocks.la
%{_libdir}/libsocks.a
%{_libdir}/libdsocks.la
%{_libdir}/libdsocks.a

%changelog -n dante
* Mon Jul 28 2003 - mge@suse.de
- update to 1.1.14
* Mon Jul 28 2003 - mge@suse.de
- fix bug #23141 error trying to socksify ssh
* Tue May 27 2003 - ro@suse.de
- add libdsocks.a to devel file list
* Mon Aug 19 2002 - mmj@suse.de
- Correct PreReq
* Fri Aug 16 2002 - mge@suse.de
- fix building on 64bit
* Thu Aug 15 2002 - mge@suse.de
- update to 1.1.13
* Wed Jul 10 2002 - olh@suse.de
- hack ltconfig for ppc64 to build shared libs
* Mon Apr 29 2002 - sf@suse.de
- added %%{_libdir} to build on bilib achrs
- added %%{suse_update_config} to build on x86_64
* Tue Feb 19 2002 - ro@suse.de
- fixed init script (exit fixed, force-reload-added) (#13325)
* Mon Jan 14 2002 - ro@suse.de
- removed START_SOCKD
* Tue Oct 30 2001 - bjacke@suse.de
- make /etc/sock{s,d} (noreplace)
- use libdir macro
* Sun Aug 26 2001 - mge@suse.de
- updated to 1.1.10: let client-rules have their own global
  methodline, "clientmethod", default value set to "none".
  The global "method" is only used for socks-rules now.
- added include files			  (bug #7745)
- fixed /etc/init.d/sockd status-handling (bug #9415)
* Fri Mar 30 2001 - mge@suse.de
- update to 1.1.9
* Mon Dec 04 2000 - mge@suse.de
- update to 1.1.6, new /etc/init.d handling, long RPM names
* Wed Nov 22 2000 - uli@suse.de
- fixed to build
* Thu Jul 13 2000 - mge@suse.de
- added symlinks to /etc/rc.d/rc2.d /etc/rc.d/rc3.d
* Fri Jul 07 2000 - mge@suse.de
- updated sockd.init
* Wed Jul 05 2000 - mge@suse.de
- initial SuSE package
